;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux css-mode package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The css-mode package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(setq load-path (cons (concat "/usr/share/"
                              (symbol-name flavor)
			      "/site-lisp/css-mode") load-path))

;; Set up to autoload
(autoload 'css-mode "css-mode" "Major mode for editing CSS style sheets" t)
(setq auto-mode-alist       
     (cons '("\\.css\\'" . css-mode) auto-mode-alist))
